'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.unmount = exports.createRoot = void 0;
const core_1 = require('@dark-engine/core');
const render_1 = require('../render');
function createRoot(container) {
  return {
    render: element => (0, render_1.render)(element, container),
    unmount: () => unmount(container),
  };
}
exports.createRoot = createRoot;
function unmount(container) {
  const rootId = render_1.roots.get(container);
  (0, core_1.unmountRoot)(rootId, () => {
    render_1.roots.delete(container);
    container.innerHTML = '';
  });
}
exports.unmount = unmount;
//# sourceMappingURL=create-root.js.map
