'use strict';
Object.defineProperty(exports, '__esModule', { value: true });
exports.createPortal = void 0;
const core_1 = require('@dark-engine/core');
const utils_1 = require('./utils');
function createPortal(slot, container) {
  if (process.env.NODE_ENV !== 'production') {
    if (!(container instanceof Element)) {
      throw new Error(`[Dark]: createPortal receives only Element as container!`);
    }
  }
  return Portal({ container, slot });
}
exports.createPortal = createPortal;
const Portal = (0, core_1.component)(
  props => {
    const element = props.container;
    const fiber = core_1.currentFiberStore.get();
    (0, core_1.useMemo)(() => (element.textContent = ''), []);
    fiber.element = element;
    delete props.container;
    return props.slot;
  },
  { token: utils_1.$$portal },
);
//# sourceMappingURL=portal.js.map
