import { component, useMemo, currentFiberStore } from '@dark-engine/core';
import { $$portal } from './utils';
function createPortal(slot, container) {
  if (process.env.NODE_ENV !== 'production') {
    if (!(container instanceof Element)) {
      throw new Error(`[Dark]: createPortal receives only Element as container!`);
    }
  }
  return Portal({ container, slot });
}
const Portal = component(
  props => {
    const element = props.container;
    const fiber = currentFiberStore.get();
    useMemo(() => (element.textContent = ''), []);
    fiber.element = element;
    delete props.container;
    return props.slot;
  },
  { token: $$portal },
);
export { createPortal };
//# sourceMappingURL=portal.js.map
