import type { TagNativeElement } from '../native-element';
declare class SyntheticEvent<E extends Event, T = TagNativeElement> {
  type: string;
  sourceEvent: E;
  target: T;
  private propagation;
  constructor(options: Pick<SyntheticEvent<E, T>, 'sourceEvent' | 'target'>);
  stopPropagation(): void;
  preventDefault(): void;
  getPropagation(): boolean;
}
declare function delegateEvent(
  target: Element,
  eventName: string,
  handler: (e: Event) => void | [fn: () => void, ...args: Array<any>],
): void;
declare const detectIsEvent: (attrName: string) => boolean;
declare const getEventName: (attrName: string) => string;
export { SyntheticEvent, delegateEvent, detectIsEvent, getEventName };
